#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 2

Name:           heaptrack
Version: 1.4.0
Release:        %mkrel %{rel}
Summary:        A heap memory profiler for Linux
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://cgit.kde.org/heaptrack.git/
Source0:        https://download.kde.org/stable/heaptrack/%{version}/%{name}-%{version}.tar.xz
# Fixes the build with boost 1.81.0.
Patch1:		0001-Add-missing-include.patch
BuildRequires:  boost-devel
BuildRequires:  libdwarf-devel
BuildRequires:  pkgconfig(libsparsehash)
BuildRequires:  pkgconfig(libunwind)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(zlib)

BuildRequires:  kf5-rpm-macros
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5ItemModels)
BuildRequires:  cmake(KF5ThreadWeaver)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5KIO)

BuildRequires:  cmake(KChart)

BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
Heaptrack traces all memory allocations and annotates these events with stack
traces.Dedicated analysis tools then allow you to interpret the heap memory
profile to:
- find hotspots that need to be optimized to reduce the memory footprint of your
  application
- find memory leaks, i.e. locations that allocate memory which is never
  deallocated
- find allocation hotspots, i.e. code locations that trigger a lot of memory
  allocation calls
- find temporary allocations, which are allocations that are directly followed
  by their deallocation

%files -f %{name}.lang
%doc README.md
%license LICENSES/*.txt
%{_kf5_bindir}/%{name}
%{_kf5_bindir}/%{name}_gui
%{_kf5_bindir}/%{name}_print
%{_kf5_libdir}/%{name}/
%{_kf5_applicationsdir}/org.kde.%{name}.desktop
%{_kf5_metainfodir}/org.kde.%{name}.appdata.xml
%{_kf5_iconsdir}/hicolor/*/apps/%{name}.png
%{_includedir}/%{name}_api.h

#--------------------------------------------------------------------

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Sun Dec 25 2022 wally <wally> 1.4.0-2.mga9
+ Revision: 1926780
- rebuild for boost 1.81.0

* Sun Sep 04 2022 papoteur <papoteur> 1.4.0-1.mga9
+ Revision: 1883753
- new 1.4.0

* Sun Jul 03 2022 wally <wally> 1.3.0-3.mga9
+ Revision: 1867258
- rebuild for boost 1.79.0

* Wed Apr 06 2022 umeabot <umeabot> 1.3.0-2.mga9
+ Revision: 1846039
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 wally <wally> 1.3.0-1.mga9
+ Revision: 1762787
- new version 1.3.0
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 1.2.0-6.mga9
+ Revision: 1744719
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 1.2.0-5.mga9
+ Revision: 1722969
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 1.2.0-4.mga8
+ Revision: 1666767
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 1.2.0-3.mga8
+ Revision: 1662009
- rebuild for boost 1.74.0

* Wed Dec 16 2020 umeabot <umeabot> 1.2.0-2.mga8
+ Revision: 1658552
- Rebuild for new Qt5

* Tue Sep 01 2020 daviddavid <daviddavid> 1.2.0-1.mga8
+ Revision: 1620604
- new version: 1.2.0

* Thu May 28 2020 daviddavid <daviddavid> 1.1.0-10.mga8
+ Revision: 1588465
- switch appdata file to kf5_metainfo dir

* Sun May 03 2020 wally <wally> 1.1.0-9.mga8
+ Revision: 1578063
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 1.1.0-8.mga8
+ Revision: 1544755
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 1.1.0-7.mga8
+ Revision: 1483380
- rebuild for boost 1.72.0
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 1.1.0-6.mga7
+ Revision: 1381897
- Qt5 Rebuild

* Tue Oct 16 2018 wally <wally> 1.1.0-5.mga7
+ Revision: 1321044
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 1.1.0-4.mga7
+ Revision: 1298178
- Mageia 7 Mass Rebuild

* Tue May 29 2018 daviddavid <daviddavid> 1.1.0-3.mga7
+ Revision: 1232942
- new version: 1.1.0

* Mon Dec 25 2017 wally <wally> 1.0.0-4.mga7
+ Revision: 1184750
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 1.0.0-3.mga7
+ Revision: 1178326
- rebuild for boost 1.65

* Wed Sep 20 2017 daviddavid <daviddavid> 1.0.0-2.mga7
+ Revision: 1156009
- rebuild for new boost 1.64.0

* Sun Jul 23 2017 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1129507
- initial package heaptrack

